%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           reinteract
Version:        0.5.9
Release:        11
Summary:        Interactive Python shell

Group:          Applications/Science
License:        BSD
URL:            http://www.reinteract.org/
Source0:        http://www.reinteract.org/download/sources/reinteract-%{version}.tar.bz2
BuildArch:      noarch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  desktop-file-utils
BuildRequires:  python >= 0:2.5

Requires:       gtk2 >= 0:2.12.0
Requires:       hicolor-icon-theme
Requires:	numpy >= 0:1.2.0
Requires:       pygtk2
Requires:	python-matplotlib >= 0:0.98.0
Requires:       sox

%description
Reinteract is a system for interactive experimentation with Python.
Reinteract worksheets contain Python code combined with the results of
that code, formatted as text or graphical plots. Unlike a traditional
shell, you can go back and edit previously entered statements, and the
results will update. Among other things, Reinteract is suitable for
experimentation with the Python language and for data analysis
using the Numpy and SciPy libraries.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-validate %{buildroot}%{_datadir}/applications/reinteract.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/reinteract
%{_datadir}/applications/reinteract.desktop
%{_datadir}/icons/hicolor/scalable/apps/reinteract.svg
%{_datadir}/mime/packages/reinteract.xml
%dir %{_datadir}/reinteract/
%{_datadir}/reinteract/dialogs/
%{_datadir}/reinteract/Reinteract.ico
%doc %{_datadir}/reinteract/examples
%{python_sitelib}/reinteract/
%{python_sitelib}/replot.py*
%{python_sitelib}/replay.py*

%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
/bin/touch --no-create %{_datadir}/mime/packages &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ]; then
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/bin/touch --no-create %{_datadir}/mime/packages &> /dev/null || :
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Oct 02 2014 Rex Dieter <rdieter@fedoraproject.org> 0.5.9-10
- (re)add posttrans icon scriptlet

* Thu Oct 02 2014 Rex Dieter <rdieter@fedoraproject.org> 0.5.9-9
- update desktop/icon/mime scriptlets

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 28 2011 Owen Taylor <otaylor@redhat.com> - 0.5.9-1
- Update to 0.5.9

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.5.0-7
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Jan 23 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.5-0-6
- change group to Applications/Engineering (fixes bug #512538)
- use global and not define

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 26 2009 Owen Taylor <otaylor@redhat.com> - 0.5.0-4
- Bump release to get proper F-9 => F-10 => devel ordering

* Thu Mar 26 2009 Owen Taylor <otaylor@redhat.com> - 0.5.0-1
- Version 0.5.0
- Add missing dependencies (pointed out by Michel Salim)
- Add Reinteract.ico, used for about dialog

* Wed Oct 15 2008 Owen Taylor <otaylor@redhat.com> - 0.4.3-1
- Initial spec file
